This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 479202 - Acceptance test: mmrepl {accept,chainonupdate} : slapd dumps core during accept_cleanup()
Acceptance test: mmrepl {accept,chainonupdate} : slapd dumps core during acce...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Directory Server (Show other bugs)
8.1
All Linux
high Severity high
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2009-01-07 18:32 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:35 EST (History)
3 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:09:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs (2.13 KB, patch)
2009-01-13 13:35 EST, Rich Megginson
no flags Details | Diff
cvs commit log (313 bytes, text/plain)
2009-01-13 14:01 EST, Rich Megginson
no flags Details

  None (edit)
Description Chandrasekar Kannan 2009-01-07 18:32:45 EST
Description of problem:

I noticed that slapd dumps core during mmrepl accept ( acceptance test ) cleanup phase. I tried atleast on rhel5 32bit and gathered this stack trace.

Core was generated by `./ns-slapd -D /export/svrbld/DS8.1-18521/server/slapd-s2 -i /export/svrbld/DS8.'.
Program terminated with signal 11, Segmentation fault.
#0  0xb7e18fd8 in SVRCORE_StdPinGetPin () from /usr/lib/libsvrcore.so.0
(gdb) where
#0  0xb7e18fd8 in SVRCORE_StdPinGetPin () from /usr/lib/libsvrcore.so.0
#1  0xb7ef573b in slapd_SSL_client_auth (ld=0x87dfe20) at ldap/servers/slapd/ssl.c:1173
#2  0xb7f00035 in slapi_ldap_bind (ld=0x87dfe20, bindid=0x87d7ca8 "cn=replication manager,o=fr", creds=0x87d6bf0 "", mech=<value optimized out>, 
    serverctrls=0x0, returnedctrls=0xae3e11b0, timeout=0x0, msgidp=0x0) at ldap/servers/slapd/util.c:1150
#3  0xb6e99139 in conn_connect (conn=0x87ce8e8) at ldap/servers/plugins/replication/repl5_connection.c:1564
#4  0xb6ea28e6 in acquire_replica (prp=0x87ce9f8, prot_oid=0xb6ecb692 "2.16.840.1.113730.3.6.1", ruv=0xae3e134c)
    at ldap/servers/plugins/replication/repl5_protocol_util.c:168
#5  0xb6e9c3ba in repl5_inc_run (prp=0x87ce9f8) at ldap/servers/plugins/replication/repl5_inc_protocol.c:800
#6  0xb6ea1ec8 in prot_thread_main (arg=0x87d37f8) at ldap/servers/plugins/replication/repl5_protocol.c:313
#7  0x002766ed in PR_JoinThread () from /usr/lib/libnspr4.so
#8  0x0088145b in start_thread () from /lib/libpthread.so.0
#9  0x007d8c4e in clone () from /lib/libc.so.6
(gdb)
Comment 3 Rich Megginson 2009-01-13 13:35:30 EST
Created attachment 328902 [details]
diffs
Comment 4 Rich Megginson 2009-01-13 14:01:36 EST
Created attachment 328906 [details]
cvs commit log

Reviewed by: nkinder (Thanks!)
Fix Description: Have to call ldapssl_set_option(ld, SSL_NO_CACHE, PR_TRUE) after setting up the connection for client auth
Platforms tested: RHEL5
Flag Day: no
Doc impact: no
Comment 5 Jenny Galipeau 2009-03-16 10:03:12 EDT
fix verfied - as of January 29th - mmrepl acceptance tests are passing and no more core dumps.
Comment 6 Chandrasekar Kannan 2009-04-29 19:09:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.